Skip to Content

List integration tools

Returns a page of the tools an integration gives agents.

GET
/v1/integrations/{integrationId}/tools

Returns a page of the tools an integration gives agents. Send the first page's revision with each later offset; if the integration's tools change during the read, the request returns 409 and the read restarts at offset zero.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

integrationId*string
Match^intg_[0-9a-hjkmnp-tv-z]{16,24}$

Query Parameters

offset?|null
revision?string
Match^[a-f0-9]{64}$

Response Body

Success

application/json
  1. response
nextOffset*|null
total*integer
Range0 <= value <= 9007199254740991
revision*string
Match^[a-f0-9]{64}$
offset*integer
Range0 <= value <= 9007199254740991
items*array<>
Itemsitems <= 50
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.integrations.listTools({
  "integrationId": "example"
});
Example Response
{
  "nextOffset": 0,
  "total": 0,
  "revision": "string",
  "offset": 0,
  "items": [
    {
      "name": "string",
      "title": "string",
      "kind": "query",
      "effect": "read",
      "guards": [
        "pinnedDestination"
      ],
      "granted": true,
      "unavailableReason": "input_schema_too_large",
      "enabled": true,
      "runsWithoutApproval": true
    }
  ]
}

Related documentation